.dui-button {
  font-size: 1.0625rem;
  line-height: 1.529412;
  letter-spacing: normal;
  font-weight: 700;
  -webkit-font-smoothing: antialiased;
  padding: var(--dui-button-padding-y, 0.8823em) var(--dui-button-padding-x, 1.1764em);
  text-decoration: none;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  cursor: pointer;
  border: none;
  border-radius: var(--dui-button-border-radius, 0.941176em);
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  gap: 0.4705em;
  vertical-align: middle;
}
.dui-button:focus-visible {
  outline-offset: 2px;
}
.dui-button--primary {
  background-color: var(--dui-button-primary-default-bg, var(--dui-color-brand-1, #0052CC));
  color: var(--dui-button-primary-default-color, var(--dui-color-white, #ffffff));
  -webkit-box-shadow: var(--dui-button-primary-default-shadow, );
          box-shadow: var(--dui-button-primary-default-shadow, );
}
.dui-button--primary:visited {
  background-color: var(--dui-button-primary-visited-bg, );
  color: var(--dui-button-primary-visited-color, var(--dui-color-white, #ffffff));
  -webkit-box-shadow: var(--dui-button-primary-visited-shadow, );
          box-shadow: var(--dui-button-primary-visited-shadow, );
}
.dui-button--primary:hover {
  background-color: var(--dui-button-primary-hover-bg, rgb(25.5, 99.3, 209.1));
  color: var(--dui-button-primary-hover-color, var(--dui-color-white, #ffffff));
  -webkit-box-shadow: var(--dui-button-primary-hover-shadow, 0px 3px 6px 0px rgba(0, 0, 0, 0.04), 0px 3px 8px 0px rgba(0, 0, 0, 0.20));
          box-shadow: var(--dui-button-primary-hover-shadow, 0px 3px 6px 0px rgba(0, 0, 0, 0.04), 0px 3px 8px 0px rgba(0, 0, 0, 0.20));
}
.dui-button--primary:focus {
  background-color: var(--dui-button-primary-focus-bg, rgb(0, 65.6, 163.2));
  color: var(--dui-button-primary-focus-color, var(--dui-color-white, #ffffff));
  -webkit-box-shadow: var(--dui-button-primary-focus-shadow, none);
          box-shadow: var(--dui-button-primary-focus-shadow, none);
}
.dui-button--primary:active {
  background-color: var(--dui-button-primary-active-bg, rgb(51, 116.6, 214.2));
  color: var(--dui-button-primary-active-color, var(--dui-color-white, #ffffff));
  -webkit-box-shadow: var(--dui-button-primary-active-shadow, none);
          box-shadow: var(--dui-button-primary-active-shadow, none);
}
.dui-button--primary:disabled {
  background-color: var(--dui-button-primary-disabled-bg, var(--dui-color-light-grey, #ededed));
  color: var(--dui-button-primary-disabled-color, var(--dui-color-grey, #a1a1a1));
  -webkit-box-shadow: var(--dui-button-primary-disabled-shadow, );
          box-shadow: var(--dui-button-primary-disabled-shadow, );
}
.dui-button--secondary {
  background-color: var(--dui-button-secondary-default-bg, var(--dui-color-brand-2, #E8F0FF));
  color: var(--dui-button-secondary-default-color, var(--dui-color-brand-1, #0052CC));
  -webkit-box-shadow: var(--dui-button-secondary-default-shadow, );
          box-shadow: var(--dui-button-secondary-default-shadow, );
}
.dui-button--secondary:visited {
  background-color: var(--dui-button-secondary-visited-bg, );
  color: var(--dui-button-secondary-visited-color, var(--dui-color-brand-1, #0052CC));
  -webkit-box-shadow: var(--dui-button-secondary-visited-shadow, );
          box-shadow: var(--dui-button-secondary-visited-shadow, );
}
.dui-button--secondary:hover {
  background-color: var(--dui-button-secondary-hover-bg, rgb(235.68, 242.4, 255));
  color: var(--dui-button-secondary-hover-color, var(--dui-color-brand-1, #0052CC));
  -webkit-box-shadow: var(--dui-button-secondary-hover-shadow, );
          box-shadow: var(--dui-button-secondary-hover-shadow, );
}
.dui-button--secondary:focus {
  background-color: var(--dui-button-secondary-focus-bg, rgb(208.8, 216, 229.5));
  color: var(--dui-button-secondary-focus-color, var(--dui-color-brand-1, #0052CC));
  -webkit-box-shadow: var(--dui-button-secondary-focus-shadow, );
          box-shadow: var(--dui-button-secondary-focus-shadow, );
}
.dui-button--secondary:active {
  background-color: var(--dui-button-secondary-active-bg, rgb(237.52, 243.6, 255));
  color: var(--dui-button-secondary-active-color, var(--dui-color-brand-1, #0052CC));
  -webkit-box-shadow: var(--dui-button-secondary-active-shadow, );
          box-shadow: var(--dui-button-secondary-active-shadow, );
}
.dui-button--secondary:disabled {
  background-color: var(--dui-button-secondary-disabled-bg, );
  color: var(--dui-button-secondary-disabled-color, var(--dui-color-grey, #a1a1a1));
  -webkit-box-shadow: var(--dui-button-secondary-disabled-shadow, );
          box-shadow: var(--dui-button-secondary-disabled-shadow, );
}
.dui-button--tertiary {
  background-color: var(--dui-button-tertiary-default-bg, transparent);
  color: var(--dui-button-tertiary-default-color, var(--dui-color-body, #303D4B));
  -webkit-box-shadow: var(--dui-button-tertiary-default-shadow, );
          box-shadow: var(--dui-button-tertiary-default-shadow, );
}
.dui-button--tertiary:visited {
  background-color: var(--dui-button-tertiary-visited-bg, );
  color: var(--dui-button-tertiary-visited-color, var(--dui-color-body, #303D4B));
  -webkit-box-shadow: var(--dui-button-tertiary-visited-shadow, );
          box-shadow: var(--dui-button-tertiary-visited-shadow, );
}
.dui-button--tertiary:hover {
  background-color: var(--dui-button-tertiary-hover-bg, rgb(229.5, 237.7, 249.9));
  color: var(--dui-button-tertiary-hover-color, var(--dui-color-body, #303D4B));
  -webkit-box-shadow: var(--dui-button-tertiary-hover-shadow, );
          box-shadow: var(--dui-button-tertiary-hover-shadow, );
}
.dui-button--tertiary:focus {
  background-color: var(--dui-button-tertiary-focus-bg, rgb(191.25, 211.75, 242.25));
  color: var(--dui-button-tertiary-focus-color, );
  -webkit-box-shadow: var(--dui-button-tertiary-focus-shadow, );
          box-shadow: var(--dui-button-tertiary-focus-shadow, );
}
.dui-button--tertiary:active {
  background-color: var(--dui-button-tertiary-active-bg, rgb(216.75, 229.05, 247.35));
  color: var(--dui-button-tertiary-active-color, );
  -webkit-box-shadow: var(--dui-button-tertiary-active-shadow, );
          box-shadow: var(--dui-button-tertiary-active-shadow, );
}
.dui-button--tertiary:disabled {
  background-color: var(--dui-button-tertiary-disabled-bg, );
  color: var(--dui-button-tertiary-disabled-color, var(--dui-color-grey, #a1a1a1));
  -webkit-box-shadow: var(--dui-button-tertiary-disabled-shadow, );
          box-shadow: var(--dui-button-tertiary-disabled-shadow, );
}
.dui-theme--dark, .dui-button--tertiary.dui-button--dark {
  --dui-button-tertiary-default-color: var(--dui-color-white, #ffffff);
  --dui-button-tertiary-default-bg: transparent;
  --dui-button-tertiary-hover-color: var(--dui-color-white, #ffffff);
  --dui-button-tertiary-hover-bg: rgb(0, 61.5, 153);
  --dui-button-tertiary-focus-color: var(--dui-color-white, #ffffff);
  --dui-button-tertiary-focus-bg: rgb(0, 61.5, 153);
  --dui-button-tertiary-active-color: var(--dui-color-white, #ffffff);
  --dui-button-tertiary-active-bg: var(--dui-color-brand-1, #0052CC);
}
.dui-button--small {
  font-size: 0.9375rem;
  line-height: 1.4666;
  letter-spacing: normal;
  font-weight: 700;
  padding: var(--dui-button-padding-y-small, 0.8em) var(--dui-button-padding-x-small, 1.333em);
}
.dui-button--large {
  font-size: 1.25rem;
  line-height: 1.6;
  letter-spacing: normal;
  font-weight: 700;
  padding: var(--dui-button-padding-y-large, 0.8em) var(--dui-button-padding-x-large, 1em);
}
.dui-button--icon-only:before, .dui-button--icon-only:after {
  -webkit-transform: scale(1.5294);
      -ms-transform: scale(1.5294);
          transform: scale(1.5294);
}
[class^=dui-icon--].dui-button:before, [class^=dui-icon--].dui-button:after, [class*=" dui-icon--"].dui-button:before, [class*=" dui-icon--"].dui-button:after {
  line-height: inherit;
}
